com.h3c.of.ctl

## Enum CheckpointEvent.Code

- java.lang.Object
- - java.lang.Enum<CheckpointEvent.Code>
  - - com.h3c.of.ctl.CheckpointEvent.Code

- All Implemented Interfaces:
    Serializable, Comparable<CheckpointEvent.Code>
  Enclosing interface:
    CheckpointEvent

      public static enum CheckpointEvent.Code
      extends Enum<CheckpointEvent.Code>

  Designates the checkpoint code.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GENERIC` A generic checkpoint; detail will be in the text message.
    `RECORDING_STARTED` The time at which the TX/RX message recording mechanism was started.
    `RECORDING_STOPPED` The time at which the TX/RX message recording mechanism was stopped.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CheckpointEvent.Code` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CheckpointEvent.Code[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RECORDING_STARTED

          public static final CheckpointEvent.Code RECORDING_STARTED

      The time at which the TX/RX message recording mechanism was started.

    - #### RECORDING_STOPPED

          public static final CheckpointEvent.Code RECORDING_STOPPED

      The time at which the TX/RX message recording mechanism was stopped.

    - #### GENERIC

          public static final CheckpointEvent.Code GENERIC

      A generic checkpoint; detail will be in the text message.

  - ### Method Detail

    - #### values

          public static CheckpointEvent.Code[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CheckpointEvent.Code c : CheckpointEvent.Code.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CheckpointEvent.Code valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.